Index: src/sections/invoice/invoice-details.tsx
===================================================================
--- src/sections/invoice/invoice-details.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-details.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -261,5 +261,5 @@
               Date Issued
             </Typography>
-            {fDate(invoice.createDate)}
+            {fDate(invoice.issueDate)}
           </Stack>
 
Index: src/sections/invoice/invoice-ee-pdf.tsx
===================================================================
--- src/sections/invoice/invoice-ee-pdf.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-ee-pdf.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -129,5 +129,5 @@
     discount,
     invoiceTo,
-    createDate,
+    issueDate,
     totalAmount,
     invoiceFrom,
@@ -229,5 +229,5 @@
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Date Issued</Text>
-            <Text style={styles.body2}>{fDate(createDate)}</Text>
+            <Text style={styles.body2}>{fDate(issueDate)}</Text>
           </View>
           <View style={styles.col6}>
Index: src/sections/invoice/invoice-mk-pdf.tsx
===================================================================
--- src/sections/invoice/invoice-mk-pdf.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-mk-pdf.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -113,5 +113,5 @@
     discount,
     invoiceTo,
-    createDate,
+    issueDate,
     totalAmount,
     invoiceFrom,
@@ -179,5 +179,5 @@
           <View style={styles.col6}>
             <Text style={[styles.subtitle1, styles.mb4]}>Date Issued</Text>
-            <Text style={styles.body2}>{fDate(createDate)}</Text>
+            <Text style={styles.body2}>{fDate(issueDate)}</Text>
           </View>
           <View style={styles.col6}>
Index: src/sections/invoice/invoice-new-edit-form.tsx
===================================================================
--- src/sections/invoice/invoice-new-edit-form.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-new-edit-form.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -81,5 +81,5 @@
   const NewInvoiceSchema = Yup.object().shape({
     invoiceNumber: Yup.string().nullable().required('Invoice number is required'),
-    createDate: Yup.mixed<any>().nullable().required('Create date is required'),
+    issueDate: Yup.mixed<any>().nullable().required('Create date is required'),
     dueDate: Yup.mixed<any>()
       .required('Due date is required')
@@ -87,5 +87,5 @@
         'date-min',
         'Due date must be later than create date',
-        (value, { parent }) => value.getTime() > parent.createDate.getTime()
+        (value, { parent }) => value.getTime() > parent.issueDate.getTime()
       ),
     invoiceFrom: Yup.mixed<any>().nullable().required('Invoice from is required'),
@@ -117,5 +117,5 @@
           ? currentInvoice?.invoiceNumber
           : incrementInvoiceNumber(tenant?.lastInvoiceNumber),
-      createDate: currentInvoice?.createDate ? new Date(currentInvoice.createDate) : new Date(),
+      issueDate: currentInvoice?.issueDate ? new Date(currentInvoice.issueDate) : new Date(),
       dueDate: currentInvoice?.dueDate
         ? new Date(currentInvoice.dueDate)
@@ -175,10 +175,9 @@
 
       // Ensure dates are valid Date objects
-      const createDate =
-        data.createDate instanceof Date ? data.createDate : new Date(data.createDate);
+      const issueDate = data.issueDate instanceof Date ? data.issueDate : new Date(data.issueDate);
       const dueDate = data.dueDate instanceof Date ? data.dueDate : new Date(data.dueDate);
 
       const currentTime = new Date();
-      createDate.setHours(
+      issueDate.setHours(
         currentTime.getHours(),
         currentTime.getMinutes(),
@@ -197,5 +196,5 @@
         invoiceNumber: incrementInvoiceNumber(tenant?.lastInvoiceNumber),
         status: 'draft',
-        createDate,
+        issueDate,
         dueDate,
         items: items.filter((item) => item.service !== null) as CreateInvoice['items'],
@@ -246,6 +245,6 @@
       if (currentInvoice) {
         // Ensure dates are valid Date objects
-        const createDate =
-          data.createDate instanceof Date ? data.createDate : new Date(data.createDate);
+        const issueDate =
+          data.issueDate instanceof Date ? data.issueDate : new Date(data.issueDate);
         const dueDate = data.dueDate instanceof Date ? data.dueDate : new Date(data.dueDate);
 
@@ -259,5 +258,5 @@
         const writeData = {
           ...data,
-          createDate,
+          issueDate,
           dueDate,
           items,
@@ -312,6 +311,6 @@
 
         // Ensure dates are valid Date objects
-        const createDate =
-          data.createDate instanceof Date ? data.createDate : new Date(data.createDate);
+        const issueDate =
+          data.issueDate instanceof Date ? data.issueDate : new Date(data.issueDate);
         const dueDate = data.dueDate instanceof Date ? data.dueDate : new Date(data.dueDate);
 
@@ -325,5 +324,5 @@
         const writeData = {
           ...data,
-          createDate,
+          issueDate,
           dueDate,
           items,
Index: src/sections/invoice/invoice-new-edit-status-date.tsx
===================================================================
--- src/sections/invoice/invoice-new-edit-status-date.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-new-edit-status-date.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -109,5 +109,5 @@
 
       <Controller
-        name="createDate"
+        name="issueDate"
         control={control}
         render={({ field, fieldState: { error } }) => (
Index: src/sections/invoice/invoice-table-row.tsx
===================================================================
--- src/sections/invoice/invoice-table-row.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/invoice-table-row.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -51,5 +51,5 @@
     sent,
     invoiceNumber,
-    createDate,
+    issueDate,
     dueDate,
     status,
@@ -60,5 +60,5 @@
   } = row;
 
-  console.log(createDate);
+  console.log(issueDate);
 
   const confirmSend = useBoolean();
@@ -107,6 +107,6 @@
         <TableCell>
           <ListItemText
-            primary={format(new Date(createDate), 'dd MMM yyyy')}
-            secondary={format(new Date(createDate), 'p')}
+            primary={format(new Date(issueDate), 'dd MMM yyyy')}
+            secondary={format(new Date(issueDate), 'p')}
             primaryTypographyProps={{ typography: 'body2', noWrap: true }}
             secondaryTypographyProps={{
Index: src/sections/invoice/view/invoice-list-view.tsx
===================================================================
--- src/sections/invoice/view/invoice-list-view.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/sections/invoice/view/invoice-list-view.tsx	(revision 32e9876ad536a568d2f4835249f62c758bf2a50c)
@@ -59,5 +59,5 @@
   { id: 'currency', label: 'Currency' },
   { id: 'invoicePeriod', label: 'Invoice Period' },
-  { id: 'createDate', label: 'Create' },
+  { id: 'issueDate', label: 'Create' },
   { id: 'dueDate', label: 'Due' },
   { id: 'sent', label: 'Sent', align: 'center' },
@@ -152,5 +152,5 @@
 
   const table = useTable({
-    defaultOrderBy: 'createDate',
+    defaultOrderBy: 'issueDate',
     defaultOrder: 'desc',
     defaultDense: true,
@@ -166,6 +166,6 @@
       collections.invoice,
       JSON.stringify({
-        where: [['createDate', '>=', filters.startDate]],
-        orderBy: 'createDate',
+        where: [['issueDate', '>=', filters.startDate]],
+        orderBy: 'issueDate',
         direction: 'desc',
       }),
@@ -275,6 +275,6 @@
     async (invoice: Invoice) => {
       const serializedParams = JSON.stringify({
-        where: [['createDate', '>=', filters.startDate]],
-        orderBy: 'createDate',
+        where: [['issueDate', '>=', filters.startDate]],
+        orderBy: 'issueDate',
         direction: 'desc',
       });
@@ -671,6 +671,6 @@
       inputData = inputData.filter(
         (invoice) =>
-          fTimestamp(invoice.createDate.getTime()) >= fTimestamp(startDate.getTime()) &&
-          fTimestamp(invoice.createDate.getTime()) <= fTimestamp(endDate.getTime())
+          fTimestamp(invoice.issueDate.getTime()) >= fTimestamp(startDate.getTime()) &&
+          fTimestamp(invoice.issueDate.getTime()) <= fTimestamp(endDate.getTime())
       );
     }
